Get the rank of a user based on their loyalty points
This api can only return the rank upto 5000, after that it will return '5000+'.
GET
This api can only return the rank upto 5000, after that it will return '5000+'. Returns the user's rank determined by their loyalty points for the specified loyalty currency. This can be a slow operation for large organizations. We recommend caching when possible.
Loading code example
Loading code example
Authorizations
apiKeyAuthstringheaderrequired
API key passed in the header.
Path Parameters
idstring<uuid>required
UUID of the account
Query Parameters
websiteIdstring<uuid>required
UUID of the website
organizationIdstring<uuid>required
UUID of the organization
loyaltyCurrencyIdstring<uuid>required
UUID of the loyalty currency
Response
application/json
200
ranknumberrequiredRank of the user. null means the user has no amount. This api can only return the rank upto 5000, after that it will return "5000+"